/*
 * drawqr.h
 *
 * Created: 14. 5. 2015 18:33:24
 *  Author: Tom
 */ 


#ifndef DRAWQR_H_
#define DRAWQR_H_

void drawPixel(int16_t x, int16_t y, uint16_t color);
void goTo(int x, int y);
void rawFastVLine(int16_t x, int16_t y, int16_t h, uint16_t color);
void rawFastHLine(int16_t x, int16_t y, int16_t h, uint16_t color);
void clearScreen(void);
int draw_qr(unsigned char*pSourceData, int size);
void draw_qr_matice(unsigned char **matice, int size);
void rawFillRect(uint16_t x, uint16_t y, uint16_t w, uint16_t h, uint16_t fillcolor);



#endif /* DRAWQR_H_ */